<?php
session_start();
include('../config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

if($_GET['contenido']) $contenido=$_GET['contenido']; else $contenido=$_POST['contenido'];
if($_GET['LineaEntrada']) $LineaEntrada=$_GET['LineaEntrada']; else $LineaEntrada=$_POST['LineaEntrada'];

$contenido=base64_decode($contenido);
$caracteristicas=json_decode($contenido,true);

if(isset($_GET['discrepancias']) && $_GET['discrepancias']=='si') $pantallaDiscrepancias=true;
else $pantallaDiscrepancias=false;
?>

<h2 style="margin-top:40px">Características informadas</h2>

<table class="tablaFormateada">

	<tr>
    	<th>Característica</th><th>Valor</th>
    </tr>
    
    <?php foreach($caracteristicas as $caracteristica) { ?>
    
    	<?php
		
		if($caracteristica['ValoresIndices']) {
			$comboIndices=explode('¬',$caracteristica['ValoresIndices']);
			$comboTextos=explode('¬',$caracteristica['ValoresTextos']);
			foreach($comboIndices as $clave=>$indice) if($indice==$caracteristica['ValorLeido']) $valor=$comboTextos[$clave];
		}
		else if($caracteristica['Tipo']==1) {
			$valor=formateaNumeroDecimalBasico($caracteristica['ValorLeido'],$caracteristica['Decimales']);
		}
		else $valor=$caracteristica['ValorLeido'];
		
		?>
    
    	<!--<tr <?php if($caracteristica['ValorLeido']!=$caracteristica['ValorProducto']) { ?>class="rojo"<?php } ?>>-->
        <tr>
            <td align="left"><?php echo $caracteristica['Descripcion']; ?></td>
            <td><?php echo $valor; ?></td>
        </tr>
    
    <?php } ?>

</table>
<p>
<img id="botonEditarCaracteristicas" src="<?php echo DIR_IMAGENES; ?>/editar.png" width="80" height="80" alt="Editar" style="margin-left:25px;margin-bottom:10px" class="clicable"/><br />
<input type="button" id="cerrarCaracteristicas" name="cerrarCaracteristicas" value="Cerrar" class="boton"/>
</p>

<script>

	$(document).ready(function() {
		
		$('#botonEditarCaracteristicas').on('click',function(){
			$('#popupCargando').show();
			window.location='entrada-mercancia-gs1-proceso-reinformar-caracteristicas.php?LineaEntrada=<?php echo $LineaEntrada; ?><?php if($pantallaDiscrepancias) { ?>&discrepancias=si<?php } ?>';
		});
		
	});

</script>
